ModelObjectSelector Class

The ModelObjectSelector class can be used to make different model object selections from the current model.
Inheritance Hierarchy
SystemObject
  Tekla.Structures.ModelModelObjectSelector

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
[SerializableAttribute]
public sealed class ModelObjectSelector

The ModelObjectSelector type exposes the following members.

Methods
  NameDescription
Public methodGetAllObjects
Returns an enumerator of all the model objects in the current model.
Public methodCode exampleGetAllObjectsWithType(Type)
Returns an enumerator of all the model objects in the current model with the given base type.
Public methodGetAllObjectsWithType(ModelObjectModelObjectEnum)
Returns an enumerator of all the model objects in the current model with the given type.
Public methodGetEnumerator
Returns an enumerator of all the model objects in the current model.
Public methodGetFilteredObjectsWithType
Returns an enumerator of the model objects in the current model with the given type and selected by the filter.
Public methodGetObjectsByBoundingBox
Returns an enumerator of the model objects in the current model colliding with the given geometrical bounding box. Note that this method uses approximate bounding boxes and thus is NOT EXACT, and may return objects not necessarily colliding with the given box but only being somewhere near to it.
Public methodGetObjectsByFilter
Returns an enumerator of the model objects in the current model selected by the given selection filter definition.
Public methodGetObjectsByFilterName
Returns an enumerator of the model objects in the current model selected by the given selection filter.
Top
Examples
using Tekla.Structures.Model;

public class Example
{
       public void Example1()
       {
           Model Model = new Model();

           ModelObjectSelector Selector = Model.GetModelObjectSelector();
           ModelObjectEnumerator listObjects = Selector.GetAllObjects();

           foreach(ModelObject MO in listObjects)
           {
               Beam B = MO as Beam;
               if(B != null)
               {
                   Solid solid = B.GetSolid();
               }
           }
       }
}
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next